{
  "accUserMode": 2,
  "caption": "手机",
  "codeName": "phoneDataView",
  "dynaModelFilePath": "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/phoneDataView.json",
  "mDCtrlActiveMode": 2,
  "mOSFilePath": "pssysapps/TemplatePublish/psappdeviews/phoneDataView",
  "name": "phoneDataView",
  "getPSAppDataEntity": {
    "modelref": true,
    "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSAppModule": {
    "modelref": true,
    "path": "PSSYSAPPS/TemplatePublish/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines": [
    {
      "engineCat": "VIEW",
      "engineType": "DataView",
      "mOSFilePath": "pssysapps/TemplatePublish/psappdeviews/phoneDataView/psappviewengines/engine",
      "name": "engine",
      "getPSUIEngineParams": [
        {
          "appViewLogicName": "opendata",
          "name": "OPENDATA",
          "paramType": "LOGIC"
        },
        {
          "appViewLogicName": "newdata",
          "name": "NEWDATA",
          "paramType": "LOGIC"
        },
        {
          "ctrlName": "dataview",
          "name": "DATAVIEW",
          "paramType": "CTRL"
        }
      ]
    }
  ],
  "getPSAppViewLogics": [
    {
      "logicTrigger": "CUSTOM",
      "logicType": "SYSUILOGIC",
      "name": "newdata",
      "getPSAppUILogic": {
        "actionAfterWizard": "DEFAULT",
        "logicType": "PREDEFINED",
        "name": "新建数据",
        "viewLogicType": "APP_NEWDATA",
        "batchAddOnly": false,
        "enableBatchAdd": false,
        "enableWizardAdd": false
      }
    },
    {
      "logicTrigger": "CUSTOM",
      "logicType": "SYSUILOGIC",
      "name": "opendata",
      "getPSAppUILogic": {
        "logicType": "PREDEFINED",
        "name": "打开数据",
        "viewLogicType": "APP_OPENDATA",
        "editMode": true
      }
    }
  ],
  "getPSAppViewRefs": [
    {
      "name": "NEWDATA"
    },
    {
      "name": "EDITDATA"
    }
  ],
  "getPSControls": [
    {
      "codeName": "Card",
      "controlType": "DATAVIEW",
      "getCreatePSControlAction": {
        "modelref": true,
        "id": "create"
      },
      "dynaModelFilePath": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSDATAVIEWS/Card.json",
      "getFetchPSControlAction": {
        "modelref": true,
        "id": "fetch"
      },
      "getGetPSControlAction": {
        "modelref": true,
        "id": "load"
      },
      "groupMode": "NONE",
      "hookEventNames": [
        "ROWDBLCLICK",
        "SELECTIONCHANGE",
        "REMOVE",
        "LOAD",
        "BEFORELOAD"
      ],
      "getItemPSLayoutPanel": {
        "getAllPSPanelFields": [
          {
            "id": "field1"
          },
          {
            "id": "field2"
          },
          {
            "id": "field3"
          },
          {
            "id": "field4"
          },
          {
            "id": "field5"
          }
        ],
        "codeName": "Itemlayoutpanel",
        "controlType": "PANEL",
        "dynaModelFilePath": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSPANELS/Itemlayoutpanel.json",
        "layoutMode": "TABLE_24COL",
        "logicName": "表格布局面板(测试)",
        "mOSFilePath": "psmodules/common/psdataentities/PHONE/pssysviewpanels/Itemlayoutpanel",
        "getPSAppDataEntity": {
          "modelref": true,
          "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlParam": {},
        "getPSLayout": {
          "childColLG": -1,
          "childColMD": 24,
          "childColSM": -1,
          "childColXS": -1,
          "columnCount": 24,
          "layout": "TABLE_24COL"
        },
        "rTMOSFilePath": "pssysapps/TemplatePublish/psappdeviews/phoneDataView/psappviewctrls/itemlayoutpanel",
        "getRootPSPanelItems": [
          {
            "caption": "标题",
            "itemStyle": "DEFAULT",
            "itemType": "FIELD",
            "name": "field1",
            "getPSEditor": {
              "editorType": "SPAN",
              "name": "field1",
              "enableLinkView": false
            },
            "getPSLayoutPos": {
              "colMD": 24,
              "layout": "TABLE_24COL"
            },
            "valueFormat": "%1$s",
            "hidden": false,
            "showCaption": false
          },
          {
            "caption": "标题2",
            "itemStyle": "DEFAULT",
            "itemType": "FIELD",
            "name": "field2",
            "getPSEditor": {
              "editorType": "SPAN",
              "name": "field2",
              "enableLinkView": false
            },
            "getPSLayoutPos": {
              "colMD": 24,
              "layout": "TABLE_24COL"
            },
            "valueFormat": "%1$s",
            "hidden": false,
            "showCaption": false
          },
          {
            "caption": "标题3",
            "itemStyle": "DEFAULT",
            "itemType": "FIELD",
            "name": "field3",
            "getPSEditor": {
              "editorType": "SPAN",
              "name": "field3",
              "enableLinkView": false
            },
            "getPSLayoutPos": {
              "colMD": 24,
              "layout": "TABLE_24COL"
            },
            "valueFormat": "%1$s",
            "hidden": false,
            "showCaption": false
          },
          {
            "caption": "标题4",
            "itemStyle": "DEFAULT",
            "itemType": "FIELD",
            "name": "field4",
            "getPSEditor": {
              "editorType": "SPAN",
              "name": "field4",
              "enableLinkView": false
            },
            "getPSLayoutPos": {
              "colMD": 24,
              "layout": "TABLE_24COL"
            },
            "valueFormat": "%1$s",
            "hidden": false,
            "showCaption": false
          },
          {
            "caption": "标题5",
            "itemStyle": "DEFAULT",
            "itemType": "FIELD",
            "name": "field5",
            "getPSEditor": {
              "editorType": "SPAN",
              "name": "field5",
              "enableLinkView": false
            },
            "getPSLayoutPos": {
              "colMD": 24,
              "layout": "TABLE_24COL"
            },
            "valueFormat": "%1$s",
            "hidden": false,
            "showCaption": false
          }
        ],
        "layoutPanel": true,
        "name": "itemlayoutpanel",
        "modelid": "0BB26AC5-B544-453F-938C-44F5A073D7C2",
        "modeltype": "PSSYSVIEWPANEL"
      },
      "logicName": "Card",
      "mOSFilePath": "psmodules/common/psdataentities/PHONE/psdedataviews/Card",
      "getPSAppDataEntity": {
        "modelref": true,
        "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler": {
        "getPSHandlerActions": [
          {
            "actionName": "Get",
            "actionType": "DEACTION",
            "dataAccessAction": "READ",
            "name": "load",
            "getPSAppDataEntity": {
              "modelref": true,
              "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          },
          {
            "actionName": "Create",
            "actionType": "DEACTION",
            "dataAccessAction": "CREATE",
            "name": "create",
            "getPSAppDataEntity": {
              "modelref": true,
              "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          },
          {
            "actionName": "Update",
            "actionType": "DEACTION",
            "dataAccessAction": "UPDATE",
            "name": "update",
            "getPSAppDataEntity": {
              "modelref": true,
              "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          },
          {
            "actionName": "Remove",
            "actionType": "DEACTION",
            "dataAccessAction": "DELETE",
            "name": "remove",
            "getPSAppDataEntity": {
              "modelref": true,
              "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          },
          {
            "actionType": "DEDATASET",
            "name": "fetch",
            "getPSAppDataEntity": {
              "modelref": true,
              "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
            }
          }
        ],
        "userDRAction": "READ",
        "enableDEFieldPrivilege": false,
        "id": "数据视图处理器"
      },
      "getPSControlLogics": [
        {
          "eventNames": "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
          "logicTag": "dataview",
          "logicType": "APPVIEWENGINE",
          "name": "engine_dataview",
          "getPSAppViewEngine": {
            "modelref": true,
            "id": "engine"
          }
        }
      ],
      "getPSControlParam": {
        "autoLoad": true,
        "showBusyIndicator": true,
        "id": "DATAVIEW"
      },
      "getPSDEDataViewDataItems": [
        {
          "dataType": 25,
          "format": "%1$s",
          "name": "srfkey"
        },
        {
          "dataType": 25,
          "format": "%1$s",
          "name": "srfmajortext"
        }
      ],
      "pagingSize": 20,
      "rTMOSFilePath": "pssysapps/TemplatePublish/psappdeviews/phoneDataView/psappviewctrls/dataview",
      "getRemovePSControlAction": {
        "modelref": true,
        "id": "remove"
      },
      "getUpdatePSControlAction": {
        "modelref": true,
        "id": "update"
      },
      "hasWFDataItems": false,
      "appendDEItems": false,
      "enableCardEdit": false,
      "enableCardEditGroup": false,
      "enableCardEditOrder": false,
      "enableCardNew": false,
      "enableGroup": false,
      "enablePagingBar": true,
      "noSort": false,
      "singleSelect": false,
      "name": "dataview",
      "modelid": "ACBA82D9-8C11-4B98-B443-9DF637CE5758",
      "modeltype": "PSDEDATAVIEW"
    }
  ],
  "getPSDEViewCodeName": "DataView",
  "getPSDEViewId": "B24F37A1-6100-44CB-89C3-AEB2BCAE8E4D",
  "getPSViewLayoutPanel": {
    "codeName": "Layoutpanel",
    "controlStyle": "APPDEDATAVIEW",
    "controlType": "VIEWLAYOUTPANEL",
    "mOSFilePath": "psmodules/common/psdataentities/PHONE/pssysviewlayoutpanels/Layoutpanel",
    "name": "layoutpanel",
    "getPSAppDataEntity": {
      "modelref": true,
      "path": "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam": {},
    "rTMOSFilePath": "pssysapps/TemplatePublish/psappdeviews/phoneDataView/psappviewctrls/layoutpanel",
    "layoutBodyOnly": true,
    "layoutPanel": true,
    "useDefaultLayout": true
  },
  "rTMOSFilePath": "pssysapps/TemplatePublish/psappdeviews/phoneDataView",
  "title": "手机数据视图",
  "viewStyle": "DEFAULT",
  "viewType": "DEDATAVIEW",
  "xDataControlName": "dataview",
  "enableDP": true,
  "enableFilter": false,
  "enableQuickSearch": true,
  "modelid": "68dea51cbb62cae713784af2c281918c",
  "modeltype": "PSAPPDEVIEW"
}